> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evevps.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resource Packs

> Retrieve a non-paginated list of resource packs and their usage.



## OpenAPI

````yaml /api/control-panel/resource-pack.json get /resourcePack
openapi: 3.0.1
info:
  title: 'Evevps Control Panel API: Resource Pack'
  description: >-
    Manage Evevps resource packs and create or delete servers inside them.


    ### Authentication


    Include your API token in the `Authorization` header of each request:


    ```

    Authorization: Bearer <your_api_token>

    ```


    If the token is missing, invalid, or expired, the API responds with `HTTP
    401 Unauthorized`.


    ### Data Format


    The API uses **JSON** for all requests and responses. Send `Content-Type:
    application/json` and `Accept: application/json` headers.


    ### Rate Limiting


    Each response includes `X-RateLimit-Limit`, `X-RateLimit-Remaining`, and
    `X-RateLimit-Reset` headers. When the limit is reached, the API responds
    with `HTTP 429 Too Many Requests`.


    ### Service Availability


    During maintenance the API returns `HTTP 503 Service Unavailable`. Retry
    later.
  version: 1.0.0
servers:
  - url: https://api.example.com/api
security: []
tags:
  - name: Resource Pack
paths:
  /resourcePack:
    get:
      tags:
        - Resource Pack
      summary: Resource Packs
      description: Retrieve a non-paginated list of resource packs and their usage.
      parameters:
        - $ref: '#/components/parameters/Accept'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        name:
                          type: string
                        label:
                          type: string
                          nullable: true
                        limits:
                          type: object
                          properties:
                            totalServers:
                              type: integer
                            totalMemory:
                              type: integer
                            totalStorage:
                              type: integer
                            totalCpu:
                              type: integer
                            totalTraffic:
                              type: integer
                            maxMemory:
                              type: integer
                              nullable: true
                            maxStorage:
                              type: integer
                              nullable: true
                            maxCpu:
                              type: integer
                              nullable: true
                            maxTraffic:
                              type: integer
                              nullable: true
                        usage:
                          type: object
                          properties:
                            servers:
                              $ref: '#/components/schemas/Usage'
                            memory:
                              $ref: '#/components/schemas/Usage'
                            storage:
                              $ref: '#/components/schemas/Usage'
                            cpu:
                              $ref: '#/components/schemas/Usage'
                            traffic:
                              $ref: '#/components/schemas/Usage'
                            trafficMonth:
                              type: object
                              properties:
                                primary:
                                  type: object
                                  properties:
                                    start:
                                      type: string
                                    end:
                                      type: string
                                    max:
                                      type: integer
                                    received:
                                      type: integer
                                    transmitted:
                                      type: integer
                                    total:
                                      type: integer
                                    percentUsed:
                                      type: number
                                    available:
                                      type: integer
                                  required:
                                    - start
                                    - end
                                    - max
                                    - received
                                    - transmitted
                                    - total
                                    - percentUsed
                                    - available
                              required:
                                - primary
              example:
                data:
                  - id: 3
                    name: Demo Self Service Profile Group
                    label: null
                    limits:
                      totalServers: 10
                      totalMemory: 8192
                      totalStorage: 60
                      totalCpu: 8
                      totalTraffic: 5
                      maxMemory: 10000
                      maxStorage: 10000
                      maxCpu: 100
                      maxTraffic: 10000
                    usage:
                      servers:
                        total: 10
                        used: 4
                        available: 6
                        percentUsed: 40
                      memory:
                        total: 8192
                        used: 6144
                        available: 2048
                        percentUsed: 75
                      storage:
                        total: 60
                        used: 52
                        available: 8
                        percentUsed: 86.66666666666667
                      cpu:
                        total: 8
                        used: 8
                        available: 0
                        percentUsed: 100
                      traffic:
                        total: 5
                        used: 600
                        available: 0
                        percentUsed: 12000
                      trafficMonth:
                        primary:
                          start: '2025-12-27T00:00:00.000000Z'
                          end: '2026-01-26T23:59:59.999999Z'
                          max: 5368709120
                          received: 285341435
                          transmitted: 7062780
                          total: 292404215
                          percentUsed: 5.45
                          available: 5076304905
                  - id: 4
                    name: Simple
                    label: Resource Pack Simple
                    limits:
                      totalServers: 10
                      totalMemory: 8192
                      totalStorage: 60
                      totalCpu: 8
                      totalTraffic: 5000
                      maxMemory: null
                      maxStorage: null
                      maxCpu: null
                      maxTraffic: null
                    usage:
                      servers:
                        total: 10
                        used: 0
                        available: 10
                        percentUsed: 0
                      memory:
                        total: 8192
                        used: 0
                        available: 8192
                        percentUsed: 0
                      storage:
                        total: 60
                        used: 0
                        available: 60
                        percentUsed: 0
                      cpu:
                        total: 8
                        used: 0
                        available: 8
                        percentUsed: 0
                      traffic:
                        total: 5000
                        used: 0
                        available: 5000
                        percentUsed: 0
                      trafficMonth:
                        primary:
                          start: '2026-01-02T00:00:00.000000Z'
                          end: '2026-02-01T23:59:59.999999Z'
                          max: 5368709120000
                          received: 0
                          transmitted: 0
                          total: 0
                          percentUsed: 0
                          available: 0
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/TooManyRequests'
      security:
        - bearer: []
components:
  parameters:
    Accept:
      name: Accept
      in: header
      required: true
      example: application/json
      schema:
        type: string
        enum:
          - application/json
  schemas:
    Usage:
      type: object
      properties:
        total:
          type: integer
        used:
          type: integer
        available:
          type: integer
        percentUsed:
          type: number
      required:
        - total
        - used
        - available
        - percentUsed
    Errors:
      type: object
      properties:
        errors:
          type: array
          items:
            type: string
      example:
        errors:
          - This is an error returned from the API
          - This is another error return from the API
  responses:
    Unauthorized:
      description: Unauthorized
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Errors'
    TooManyRequests:
      description: Too Many Requests
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.